# How To Vote

## Goal

Vote for a validator.

## Before you begin

* Install the currently supported version of `cleos`.
* Ensure the reference system contracts from `cyberway.contracts` repository is deployed and used to manage system resources.
* Understand the following:
  * What is a [validator](https://docs.cyberway.io/users/glossary#validator);
  * What is a [proxy account](https://docs.cyberway.io/users/glossary#proxy-account);
  * How does voting works.
* Unlock your wallet.

## Steps

*Option\_1:* Vote yourself. `alice` votes for the`bob` validator and allocates 50 CYBER tokens for it:

```bash
$ cleos system voteproducer prods alice bob "50.0000 CYBER"
```

*Option\_2:* Vote via a proxy account. If you are unable to vote, you can entrust your vote to a proxy account that will vote for you. To do this, you need to delegate the staked tokens to a proxy account.

`alice` delegates 50 CYBER tokens to `bob` that is a proxy account:

```bash
$ cleos system voteproducer prods alice bob "50.0000 CYBER"
```

## Useful links

* [Validators in CyberWay](https://docs.cyberway.io/validators/voting_for_validators#the-role-and-objectives-of-validators-in-the-system)
* [Voting for validators](https://docs.cyberway.io/validators/voting_for_validators#voting-for-validators)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cyberway.io/software_manuals/how_to_guides/vote.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
